%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif

Summary: An c-based snmp interface check op5 Monitor plugin
Name: monitor-plugin-check_snmpif
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: gcc
BuildRequires: net-snmp-devel
BuildRequires: check-devel
Requires: op5-monitor-user, net-snmp

%description
Adds check_snmpif, the c-based snmp interface check
This plugin has four-modes, which can all be quite handy.
- ifoperstatus mode fetches AdminStatus and OperStatus for the
selected interface

- traffic mode calculates traffic as a per-second value and
generates alerts if the thresholds are exceedd.

- iferrors mode calculates errors and, optionally, discards
per second and generates alerts if thresholds are exceeded.

- The 'all' mode checks all interfaces for status and errors.

%prep
%setup -q

%build
%__make
%__make test


%install
make DESTDIR=%buildroot%prefix install
#Folders required for check_snmpif
mkdir -p %buildroot/opt/monitor/var/snmpif/errors
mkdir -p %buildroot/opt/monitor/var/snmpif/traffic
mkdir -p %buildroot/opt/monitor/var/snmpif/combined
mkdir -p %buildroot/opt/monitor/var/snmpif/all
mkdir -p %buildroot/opt/monitor/var/snmpif/operstatus
mkdir -p %buildroot/opt/monitor/var/snmpif/status

%clean
%__make clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755,root,root) /opt/plugins/check_snmpif
#Folders required by check_snmpif
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/errors
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/traffic
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/combined
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/all
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/operstatus
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/status

%doc LICENSE

%changelog
* Mon Jun 17 2013 Martin Kamijo <mk@op5.com>
Inital repository migration packaging
